<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a" => base64_decode("cGFyZW5" . "0X2lk"), "_a7526e8736d966fe5" . "3806d9400194a23" => base64_decode("Y2hlY2tlZF9v" . "dXRfdG8="));
use Claromentis\Core\Event\GenericEvent;


class CheckoutDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedOutTo()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a7526e8" . "736d966f" . "e53806d9" . "400194a2" . "3"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6e38cb9e043a07c" . "d69a1711a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}